/*
 * @(#)AudioLoader.java	1.14 00/09/05 @(#)
 *
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 */
import java.util.Hashtable;
import com.nttdocomo.ui.Image;
import com.nttdocomo.ui.AudioPresenter;
import com.nttdocomo.ui.MediaManager;
import com.nttdocomo.ui.MediaPresenter;
import com.nttdocomo.ui.MediaSound;


/** This class implements an audio cache. */
public class AudioLoader {

   private static Hashtable cache;

   /** Retrieve an image instance. */
   public static AudioPresenter createAudio(String filename) {
      try {
         MediaSound     ms = MediaManager.getSound("resource:///" + filename);
         ms.use();
         AudioPresenter ap = AudioPresenter.getAudioPresenter();
         ap.setSound(ms);
         return ap;
      } catch (Exception x) {
         System.out.println("AudioLoader.createAudio(): *** exception " + x);
         return null;
      }
   }
}

